Bug 1946095 - "No valid network interface has been found" when starting HE deployment via cockpit
Summary: "No valid network interface has been found" when starting HE deployment via c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: cockpit-ovirt
Version: 4.4.6
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ovirt-4.4.6-1
: 4.4.6
Assignee: Scott Dickerson
QA Contact: Wei Wang
URL:
Whiteboard:
: 1943567 1948492 1954629 (view as bug list)
Depends On:
Blocks: 1954623
TreeView+ depends on / blocked
 
Reported: 2021-04-04 11:32 UTC by Asaf Rachmani
Modified: 2023-09-15 01:04 UTC (History)
19 users (show)

Fixed In Version: cockpit-ovirt-0.15.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-03 10:24:42 UTC
oVirt Team: UX
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
No_valid_network_screenshot (84.13 KB, image/png)
2021-04-04 12:30 UTC, Asaf Rachmani
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2239 0 None None None 2021-06-03 10:24:55 UTC
oVirt gerrit 114122 0 master ABANDONED DO NOT MERGE: fix cockpit to recieve network list 2021-04-20 09:08:20 UTC
oVirt gerrit 114580 0 master MERGED Refactor the project build - Makefiles, webpack, babel, yarn, ci 2021-05-03 06:54:02 UTC
oVirt gerrit 114581 0 master MERGED Package and provide patternfly 3 requirements 2021-05-03 07:21:58 UTC

Description Asaf Rachmani 2021-04-04 11:32:30 UTC
Description of problem:
Getting "No valid network interface has been found" when starting HE deployment via cockpit.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.14.20-1.el8ev.noarch
ovirt-ansible-collection-1.4.1-1.el8ev.noarch
redhat-release-virtualization-host-4.4.6-1.el8ev.x86_64
ovirt-hosted-engine-setup-2.4.9-4.el8ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install RHV-H 4.4.6
2. Run HE deployment via cockpit
3.

Actual results:
Getting "No valid network interface has been found"

Expected results:
Identify the relevant NICs and continue to the deployment wizard

Additional info:
Works fine via otopi

Comment 1 Asaf Rachmani 2021-04-04 12:30:30 UTC
Created attachment 1769041 [details]
No_valid_network_screenshot

Comment 2 Sandro Bonazzola 2021-04-06 07:51:29 UTC
*** Bug 1943567 has been marked as a duplicate of this bug. ***

Comment 3 Wei Wang 2021-04-06 09:51:33 UTC
Test with rhvh-4.4.6.1-0.20210402.0, QE can reproduce this bug. ACK+

Comment 4 Michal Skrivanek 2021-04-07 16:36:28 UTC
moving back to high since it works with ansible/cli installation that's alternative to GUI

Comment 5 Asaf Rachmani 2021-04-12 09:50:30 UTC
*** Bug 1948492 has been marked as a duplicate of this bug. ***

Comment 6 SATHEESARAN 2021-04-27 05:10:35 UTC
(In reply to Michal Skrivanek from comment #4)
> moving back to high since it works with ansible/cli installation that's
> alternative to GUI

Hi Michal,

For RHHI-V use case, we do not expect the admins to use the hosted-engine CLI interface.
Gluster deployment is initiated from cockpit and that allows users to decide on the
disks, volumes and other options pertaining to gluster volumes. 

Then after the gluster volume is deployed, users will continue to 'Hosted Engine' deployment
from GUI. This issue will affect the RHHI-V users. It break the usability and UX feature for
RHHI-V customers

So bumping up the severity of the bug

Comment 7 Michal Skrivanek 2021-04-27 10:27:27 UTC
(In reply to SATHEESARAN from comment #6)
> (In reply to Michal Skrivanek from comment #4)
> > moving back to high since it works with ansible/cli installation that's
> > alternative to GUI
> 
> Hi Michal,
> 
> For RHHI-V use case, we do not expect the admins to use the hosted-engine
> CLI interface.
> Gluster deployment is initiated from cockpit and that allows users to decide
> on the
> disks, volumes and other options pertaining to gluster volumes. 
> 
> Then after the gluster volume is deployed, users will continue to 'Hosted
> Engine' deployment
> from GUI. This issue will affect the RHHI-V users. It break the usability
> and UX feature for
> RHHI-V customers
> 
> So bumping up the severity of the bug

usability is one thing, but I was curious about gluster-related screens, whether they work at all, can you take a look at that?

Comment 8 SATHEESARAN 2021-04-28 13:43:24 UTC
(In reply to Michal Skrivanek from comment #7)
> (In reply to SATHEESARAN from comment #6)
> > (In reply to Michal Skrivanek from comment #4)
> > > moving back to high since it works with ansible/cli installation that's
> > > alternative to GUI
> > 
> > Hi Michal,
> > 
> > For RHHI-V use case, we do not expect the admins to use the hosted-engine
> > CLI interface.
> > Gluster deployment is initiated from cockpit and that allows users to decide
> > on the
> > disks, volumes and other options pertaining to gluster volumes. 
> > 
> > Then after the gluster volume is deployed, users will continue to 'Hosted
> > Engine' deployment
> > from GUI. This issue will affect the RHHI-V users. It break the usability
> > and UX feature for
> > RHHI-V customers
> > 
> > So bumping up the severity of the bug
> 
> usability is one thing, but I was curious about gluster-related screens,
> whether they work at all, can you take a look at that?

Hi Michal,

I find that the gluster deployment too fails with the latest RHVH 4.4.6 [ RHVH-4.4-20210426.1-RHVH-x86_64-dvd1.iso ]
Even the HE deployment wizard fails to open up.

I have raised a bug - https://bugzilla.redhat.com/show_bug.cgi?id=1954629 for the same

Comment 9 Scott Dickerson 2021-04-29 20:34:45 UTC
Investigation notes:

 - Cockpit on 4.4.5 bundles jquery in the "base1" package.
  
 - Cockpit on >=4.4.6 no longer bundles jquery in the "base1" package.

Hopefully all it will take is to package jquery with cockpit-ovirt itself and the problem will be solved.

Comment 10 Sandro Bonazzola 2021-05-03 11:31:30 UTC
back to assigned, merged patches are not solving.
Still having:

System data could not be retrieved!

No valid network interface has been found
If you are using Bonds or VLANs Use the following naming conventions:
- VLAN interfaces: physical_device.VLAN_ID (for example, eth0.23, eth1.128, enp3s0.50)
- Bond interfaces: bond*number* (for example, bond0, bond1)
- VLANs on bond interfaces: bond*number*.VLAN_ID (for example, bond0.50, bond1.128)
* Supported bond modes: active-backup, balance-xor, broadcast, 802.3ad
* Networking teaming is not supported and will cause errors

Console shows:

Execution of /usr/share/ovirt-hosted-engine-setup/ansible/trigger_role.yml with tags get_network_interfaces started
DefaultValueProvider.js:138 Network interfaces retrieval failed
PlaybookUtil.js:156 Ansible output file directory created successfully.
PlaybookUtil.js:30 Execution of /usr/share/ovirt-hosted-engine-setup/ansible/trigger_role.yml with tags validate_hostnames started
Validation.js:184 ReferenceError: $ is not defined
    at PlaybookUtil.js:52
    at new Promise (<anonymous>)
    at at._runPlaybook (PlaybookUtil.js:29)
    at PlaybookUtil.js:22
Validation.js:185 Validation of host FQDN, node0.lab, failed
PlaybookUtil.js:122 Error: Unable to read file /var/tmp/ovirt-hosted-engine-setup/cockpit/validate_hostnames-202143132659-od3nms.json
(anonymous) @ PlaybookUtil.js:122
Validation.js:195 Unable to read output file: /var/tmp/ovirt-hosted-engine-setup/cockpit/validate_hostnames-202143132659-od3nms.json. Error: Unable to read file
DefaultValueProvider.js:98 General system data retrieved successfully.

Comment 11 Scott Dickerson 2021-05-03 15:47:48 UTC
@Sandro - The rpm installed on your VM was from [1] (build/ci refactoring) but needed to be from [2] (embed jquery in cockpit-ovirt).  [2] is the same one as currently provided by [3].

[1] - https://gerrit.ovirt.org/c/cockpit-ovirt/+/114580
[2] - https://gerrit.ovirt.org/c/cockpit-ovirt/+/114581
[3] - https://jenkins.ovirt.org/job/cockpit-ovirt_standard-on-merge/lastSuccessfulBuild/artifact/

Comment 12 Michal Skrivanek 2021-05-03 16:48:42 UTC
*** Bug 1954629 has been marked as a duplicate of this bug. ***

Comment 17 Wei Wang 2021-05-10 02:28:29 UTC
bug is fixed with the latest 4.4.6 build. move it to "VERIFIED"

Comment 29 errata-xmlrpc 2021-06-03 10:24:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Virtualization Host security update [ovirt-4.4.6]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2239

Comment 30 Red Hat Bugzilla 2023-09-15 01:04:35 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days


Note You need to log in before you can comment on or make changes to this bug.